# Uses of Class
org.apache.lucene.internal.hppc.LongFloatHashMap

Packages that use LongFloatHashMap
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

- ## Uses of LongFloatHashMap in org.apache.lucene.internal.hppc

  Methods in org.apache.lucene.internal.hppc that return LongFloatHashMap
  Modifier and Type
  Method
  Description
  `LongFloatHashMap`
  LongFloatHashMap.`clone()`
  `static LongFloatHashMap`
  LongFloatHashMap.`from(long[] keys, float[] values)`
  Creates a hash map from two index-aligned arrays of key-value pairs.
  Methods in org.apache.lucene.internal.hppc with parameters of type LongFloatHashMap
  Modifier and Type
  Method
  Description
  `protected boolean`
  LongFloatHashMap.`equalElements(LongFloatHashMap other)`
  Return true if all keys of some other container exist in this container.
  Constructors in org.apache.lucene.internal.hppc with parameters of type LongFloatHashMap
  Modifier
  Constructor
  Description
  ``
  `LongFloatHashMap(LongFloatHashMap map)`
  Create a hash map from all key-value pairs of another map.